getNameType {xps} | R Documentation

## Get Chip Name and Type

### Description

Get chip name and type from ROOT scheme file.

### Usage

    getNameType(rootfile)

### Arguments

`rootfile` | name of ROOT scheme file, including full path.

### Details

Extracts the chip name and type directly from `ROOT` scheme file `rootfile`.

### Value

a `list` with parameters:

`chipname` | chip name.
`chiptype` | chip type, either ‘GeneChip’ or ‘ExonChip’.

### Author(s)

Christian Stratowa

### See Also

`getChipName`, `getChipType`

### Examples

    ## correct usage
    getNameType(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    ## incorrect usage
    getNameType(paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

[Package xps version 1.2.10 Index]